// SqcConfig.h/SqcConfig.cpp - contains methods to set or get an option in 
// 
// a configuration file.
// each option is stored on a single line in the format:
// NAME VALUE1 VALUE2 ... //(the name, than the valuse, all separated by
// spaces)
// an option vector contains the name on the first place, than the values

#ifndef SQCCONFIG_H
#define SQCCONFIG_H

#include <fstream>
#include <string>
#include <vector>

using namespace std;

vector < string > tokenize(const string * str, const char *delimiters);
string concat(const vector < string > *strArray, const char *delimiters);

// get_option takes the option name as character array
// as arguments and returns an option vector

std::vector < std::string > get_option(const char *optionName);

// set_option takes the file name and the option vector previously created
// as arguments and teplaces or adds the option and the values in the file

bool set_option(std::vector < std::string > option);

#endif
