#ifndef SQCGLWINDOW_H
#define SQCGLWINDOW_H

#include <GL/gl.h>

#ifdef _WIN32
#include <GL/glext.h>
#include <windows.h>
#endif

#include <FL/Fl.H>
#include <FL/Fl_Gl_Window.H>

class SqcGlWindow:public Fl_Gl_Window {
 public:
	void *parentApp;
	void draw();
	float zoom;
	float panX;
	float panY;
	 SqcGlWindow(int, int, int, int, const char *);
 private:
	int handle(int);
	float xMouse;
	float yMouse;
	float cachedW;
	float cachedH;
	float slow;
};

#endif
