#ifndef SQCMANAGER_H
#define SQCMANAGER_H

#include <vector>
#include <string>
#include <FreeImage.h>
#include <iostream>
#include <time.h>
#include "iffimage/iffimage.h"

class SqcManager {
 public:
	std::vector <std::string> files;
	std::vector <FIBITMAP *>images;
	std::vector <FIBITMAP *>depths;
	// unsigned int nrOfFiles;
	float resScale;
	unsigned int currentFrame;
	double currentTime;

 public:
	 SqcManager();
	~SqcManager();
	void clear_images();
	bool append_image(const char *, const float);
	void scale_images(const float);
};

#endif
